Skip to content

Rename a disbursement batch​

PUT
/v2/payments/bulk-withdrawals/batches/{id}/label

Requires DISBURSEMENTS_UPDATE, granted by DISBURSEMENTS_WRITE (bundles)

Changes a batch's label.

Parameters​

Path Parameters

id*

Batch ID.

Type
string
Required
Example"7c1e9a3b-5d2f-4b6a-8e0c-2a4b6c8d0e1f"
Format
"uuid"

Request Body​

application/json
JSON
{
"label": "November rent (final)"
}

Responses​

OK

application/json
JSON
{
"id": "7c1e9a3b-5d2f-4b6a-8e0c-2a4b6c8d0e1f",
"label": "November rent (final)",
"currency": "ZAR",
"totalAmount": "45000.00",
"withdrawalCount": 3,
"status": "PENDING_APPROVAL",
"uploadedBy": "2e4a6c8e-0b1d-4f3a-9c5e-7a9b1d3f5a7c",
"uploadedByName": {
"name": "Lerato",
"surname": "Mokoena"
},
"approvedBy": null,
"approvedByName": null,
"approvedAt": null,
"createdAt": "2026-10-22T14:03:11.250Z",
"updatedAt": "2026-10-23T08:32:05.118Z",
"completedAt": null,
"feeQuote": null
}

Samples​

Errors

HTTPErrorWhen
400-113INVALID_JSONThe body isn't valid JSON.
400-11INVALID_REQUESTThe body is empty or a field fails validation; validationErrors lists each failing field.
400BAD_REQUESTA query parameter or field is invalid.
403-16098PAYMENTS_USER_ACCESS_NOT_CONFIGUREDPayments haven't been set up for your business yet.
404NOT_FOUNDNo batch with this ID exists on your account.
500INTERNAL_ERRORUnexpected error in the payments service.
502-16097EXCHANGE_API_ERRORThe payments service failed to process the request.
502EXCHANGE_API_ERRORThe payments service couldn't complete the request. Try again later.
503-16099PAYMENTS_BACKEND_PROXY_DISABLEDPayments endpoints are temporarily unavailable.

Plus the errors common to all signed endpoints.